summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorranke <ranke@f247ebf9-aa24-0410-a698-f940e971ad2b>2015-04-16 16:45:20 +0000
committerranke <ranke@f247ebf9-aa24-0410-a698-f940e971ad2b>2015-04-16 16:45:20 +0000
commit35db8ff0a7148de86a76060c44c5812add434b42 (patch)
tree37b7330915b6291b9f2815850d53e5b57ab12488
parentfc7993f5324dc9f1da9fcf5a3bba4410ddf42441 (diff)
Add backport script of texinfo, as we need a version containing texi2any
git-svn-id: svn+ssh://stiller/home/schatz/reps/r-backports@103 f247ebf9-aa24-0410-a698-f940e971ad2b
-rw-r--r--backport_texinfo.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/backport_texinfo.sh b/backport_texinfo.sh
new file mode 100644
index 0000000..a595647
--- /dev/null
+++ b/backport_texinfo.sh
@@ -0,0 +1,42 @@
+#!/bin/bash
+
+# Script to automate backporting texinfo for CRAN, so we get /usr/bin/texi2any
+
+# Author: Johannes Ranke <jranke@uni-bremen.de>
+
+# Preconditions: - shell variables DIST and ARCH
+# - sid sources in /etc/apt/sources/list
+# - cdbs installed (and maybe more)
+
+export DEBEMAIL="jranke@uni-bremen.de"
+export DEBFULLNAME="Johannes Ranke"
+echo Distribution is $DIST
+echo Architecture is $ARCH
+
+if [ -d texinfo-* ]
+then
+ rm -rf `ls -d texinfo-*`
+fi
+
+apt-get update
+apt-get source texinfo
+
+cd texinfo-*
+
+# Old version
+oldversion=`dpkg-parsechangelog | grep ^Version | cut -f2 -d " "`
+cranversion=$oldversion"~"$DIST"cran.0"
+
+echo Old version is $oldversion
+echo CRAN version is $cranversion
+
+# Add new version to changelog
+dch -v "${cranversion}" --force-distribution -D $DIST-cran -b "Backport from Debian unstable to Debian $DIST"
+
+pbuilder update
+pdebuild --debbuildopts '-sa' --buildresult /home/ranke/svn/website/www/ranke/r-cran/$DIST-cran3/ -- --distribution $DIST --basetgz /var/cache/pbuilder/$DIST-$ARCH-base.tgz --aptcache /var/cache/pbuilder/$DIST-$ARCH/aptcache --buildplace /var/cache/pbuilder/$DIST-$ARCH/build
+if [ $? -ne 0 ]; then
+ exit
+fi
+
+cd ..

Contact - Imprint